Subject: Re: [Fwd: IANA alloacation document text sample.]

From: Luca Martini <[email-masked]>
Date: Tue, 29 Mar 2005 13:30:24 -0700

Sasha Vainshtein wrote:

>Luca (and all),
>IMHO it would be helpful if you could point to some existing registry as
>an example demonstrating usage of the description string and the I-D name.
>
>E.g., is the SYSLOG Parameters registry
>(http://www.iana.org/assignments/syslog-parameters)
>an appropriate example?  
>
>  
>
yes , it seems to be close to what we where envisioning. The reference 
would be an ID.

Luca

>Regards,
>                                  Sasha Vainshtein
>email:                         [email-masked] <mailto:[email-masked]> 
>phone:                       +972-3-7569993 (office)
>fax:                            +972-3-6487779
>mobile:                      +972-52-8674833 
>
>
>  
>
>>-----Original Message-----
>>From: Luca Martini [mailto:[email-masked]]
>>Sent: Tuesday, March 29, 2005 12:02 AM
>>To: Sasha Vainshtein
>>Cc: PWE3 WG (E-mail)
>>Subject: Re: [PWE3] [Fwd: IANA alloacation document text sample.]
>>
>>
>>Sasha Vainshtein wrote:
>>
>>    
>>
>>>Luca and all,
>>>Do you imply that the file name of the draft must be <=  65 
>>>      
>>>
>>characters?
>>    
>>
>>> 
>>>
>>>      
>>>
>>No.
>>
>>    
>>
>>>If not, what is the presumed linkage between the draft and 
>>>      
>>>
>>the description
>>    
>>
>>>string?
>>>
>>> 
>>>
>>>      
>>>
>>The description string is just a one line description of the 
>>code point 
>>allocation. The draft is a full explanation of the usage of the 
>>codepoint, and is probably much longer then one line.
>>
>>Luca
>>
>>    
>>
>>>Regards,
>>>                                 Sasha Vainshtein
>>>email:                         [email-masked] 
>>>      
>>>
>><mailto:[email-masked]> 
>>    
>>
>>>phone:                       +972-3-7569993 (office)
>>>fax:                            +972-3-6487779
>>>mobile:                      +972-52-8674833 
>>>
>>>
>>> 
>>>
>>>      
>>>
>>>>-----Original Message-----
>>>>From: Luca Martini [mailto:[email-masked]]
>>>>Sent: Friday, March 25, 2005 9:16 PM
>>>>Cc: PWE3 WG (E-mail)
>>>>Subject: [PWE3] [Fwd: IANA alloacation document text sample.]
>>>>
>>>>
>>>>
>>>>
>>>>-------- Original Message --------
>>>>Subject: 	IANA alloacation document text sample.
>>>>Date: 	Fri, 25 Mar 2005 12:05:01 -0700
>>>>From: 	Luca Martini <[email-masked]>
>>>>To: 	Eric Rosen (erosen) <[email-masked]>, Gray, Eric 
>>>><[email-masked]>
>>>>CC: 	[email-masked]
>>>>
>>>>
>>>>
>>>>Eric & Eric & WG,
>>>>
>>>>Below is a sample text of what I am thinking about writing in 
>>>>the IANA 
>>>>document. As far as I can remember this reflects the consensus we 
>>>>reached in the PWE3 meeting in Minneapolis.
>>>>Please let me know if the grammar need improvement , or we need to 
>>>>change the allocation policy...
>>>>In general I will allocate a small portion of the space to IETF 
>>>>consensus , and the rest to first come first served space.
>>>>The only exception would be the status messaging type where I 
>>>>think to 
>>>>reverse this, because there is very little space , so maybe 
>>>>only 4 bits 
>>>>should be first come first served. is that ok ?
>>>>
>>>>Thanks.
>>>>Luca
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>"Pseudowire Type"
>>>>
>>>>IANA needs to set up a registry of "Pseudowire Type".  These 
>>>>are 15-bit
>>>>values.  PW Type values 1 through 127 are to be assigned by 
>>>>IANA using the
>>>>"IETF Consensus" policy defined in RFC2434. PW Type values 
>>>>128 through 32767
>>>>are to be assigned by IANA, using the "First Come First 
>>>>        
>>>>
>>Served" policy
>>    
>>
>>>>defined in RFC2434. In addition to the "First Come First 
>>>>Served" policy, an
>>>>Internet draft describing the intended use for the code point to be
>>>>allocated, MUST exists at the time of allocation. This 
>>>>Internet draft MAY
>>>>be targeted to become an informational RFC, but in any case 
>>>>the allocation
>>>>will not depend in any way on the status of the Internet draft.
>>>>A Pseudowire Type description of up to 65 characters is 
>>>>required for any
>>>>assignment from this registry. The registry MUST contain the 
>>>>name of the
>>>>Internet draft at the time of code point allocation.
>>>>
>>>>
>>>>
>>>>
>>>>_______________________________________________
>>>>pwe3 mailing list
>>>>[email-masked]
>>>>https://www1.ietf.org/mailman/listinfo/pwe3
>>>>
>>>>   
>>>>
>>>>        
>>>>
>>>_______________________________________________
>>>pwe3 mailing list
>>>[email-masked]
>>>https://www1.ietf.org/mailman/listinfo/pwe3
>>> 
>>>
>>>      
>>>
>
>_______________________________________________
>pwe3 mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/pwe3
>  
>